#ifndef __CAMPUS_H__
#define __CAMPUS_H__

#include "employee.h"
#include <vector>

using namespace std;

class campus {
    private:
        vector<employee*> workers;
    public:
        void add_worker();
        void add_worker_from_parse(string name, string type, double pay_rate);
        void delete_worker();
        void display_worker();
        void sort_worker();
        void advance_month();
        void set_hours();
        void add_files(campus c);
        void sort_name();
        void sort_pay();
        bool contains(string name);
        friend ostream & operator<<(ostream & os, campus & t);
};

#endif
